%{?nodejs_find_provides_and_requires}

%global packagename testit
%global enable_tests 0
# tests disabled due to missing dependencies

Name:		nodejs-testit
Version:	2.0.2
Release:	3%{?dist}
Summary:	Because the world needs a simpler testing framework

License:	MIT
URL:		https://github.com/ForbesLindesay/testit.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(sauce-test)
%endif

Requires:	nodejs

%description
Because the world needs a simpler testing framework


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package

%nodejs_fixdep chalk
%nodejs_fixdep promise

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Oct 23 2015 Jared Smith <jsmith@fedoraproject.org> - 2.0.2-3
- Fix missing directory from install

* Fri Oct 23 2015 Jared Smith <jsmith@fedoraproject.org> - 2.0.2-2
- Fix dependency versions for npm(chalk) and npm(promise)

* Thu Oct 22 2015 Jared Smith <jsmith@fedoraproject.org> - 2.0.2-1
- Initial packaging
